--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "Capping"

local function AssignCapping(reset)
	if not C_AddOns.IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end

	CappingFrame:Hide()
	local settings = CappingSettings.profiles.FauxMazzle.position
	CappingFrame:ClearAllPoints()
	CappingFrame:SetPoint(settings[1], UIPanret, settings[2], settings[3], settings[4])
--	CappingFrame.db:SetProfile("FauxMazzle") 
	CappingSettings.profileKeys[NS:GetAceProfile()] = "FauxMazzle" -- Because CappingFrame.db:SetProfile() call ReloadUI which no needs a hardware event
end

local function ConfigureCapping(reset)
	if not C_AddOns.IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	local FauxMazzle = NS:LoadSettingsCapping(reset)
	CappingSettings.profiles.FauxMazzle = {}
	NS.Lib:CopyTable(FauxMazzle, CappingSettings.profiles.FauxMazzle)
end
NS:AddConfig(1, AddonName, AddonName, ConfigureCapping, AssignCapping)
