--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "CombatLog"

local function ConfigureCombatLog(reset)
	if not C_AddOns.IsAddOnLoaded("Blizzard_CombatLog") then
		C_AddOns.LoadAddOn("Blizzard_CombatLog")
	end
	local FauxMazzle = NS:LoadSettingsCombatLog(reset)
	local currentFilter, UpdateTable
--	local InActive = NS:GetSettings("Addons")[AddonName].inactive
	for k, v in ipairs(Blizzard_CombatLog_Filters.filters) do
--		if (InActive and v.name == "My actions" or v.name ~= "FauxMazzle") or v.name == "FauxMazzle" then
		if v.name == "FauxMazzle" then
			currentFilter = k
			UpdateTable = v
			break
		end
	end
--	if InActive then
--		if currentFilter then
--			Blizzard_CombatLog_Filters.currentFilter = currentFilter
--		else
--			Blizzard_CombatLog_Filters.currentFilter = 1
--		end
--	else
		if not UpdateTable then
			tinsert(Blizzard_CombatLog_Filters.filters, {})
			currentFilter = #Blizzard_CombatLog_Filters.filters
			UpdateTable = Blizzard_CombatLog_Filters.filters[currentFilter]
		end
		table.wipe(UpdateTable)
		NS.Lib:CopyTable(FauxMazzle, UpdateTable)
		Blizzard_CombatLog_Filters.currentFilter = currentFilter
		Blizzard_CombatLog_CurrentSettings = Blizzard_CombatLog_Filters.filters[currentFilter]
		Blizzard_CombatLog_ApplyFilters(Blizzard_CombatLog_CurrentSettings)
--	end
end
NS:AddConfig(1, AddonName, AddonName, ConfigureCombatLog)
