--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "Prat-3.0"

local function AssignPrat(reset)
	if not C_AddOns.IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end
	Prat3DB.profileKeys[NS:GetAceProfile()] = "FauxMazzle"
	Prat.db:SetProfile("FauxMazzle")
	NS:GetOption("ConfigureChatSettings")()
end

local function ConfigurePrat(reset)
	if not C_AddOns.IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	local FauxMazzle = NS:LoadSettingsPrat()
	NS.Lib:CopyTable(FauxMazzle, Prat3DB, NS.Lib.SaveTables)
end
NS:AddConfig(1, AddonName, "Prat", ConfigurePrat, AssignPrat)
