--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "XLoot"

local function AssignXLoot(reset)
	if not C_AddOns.IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end
	if not XLootADB then return end
	local XLoot = NS.AceAddons:GetAddon("XLoot", true)
	XLootADB.profileKeys[NS:GetAceProfile()] = "FauxMazzle"
	XLoot:ShowOptionPanel(XLoot)
	XLoot.db:SetProfile("FauxMazzle")
	if InterfaceOptionsFrameCancel then
		InterfaceOptionsFrameCancel:GetScript("OnClick")(InterfaceOptionsFrameCancel)
	end
	LibStub("AceConfigRegistry-3.0"):NotifyChange(AddonName) ----------- Need to see if this does anything positive
	-- Also see: https://www.wowinterface.com/forums/showthread.php?p=334817#post334817

end

local function ConfigureXLoot(reset)
	if not C_AddOns.IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	local FauxMazzle = NS:LoadSettingsXLoot()
	local metrics = NS:GetOption("Metrics")
	local x, y = metrics.UIW - metrics.InnerHotSpotX + 2, NS:GetFrame("HotSpots", 6):GetTop() + 20
	x = NS:GetFrame("HotSpots", 6):GetLeft()
	FauxMazzle.namespaces.Monitor.profiles.FauxMazzle.anchor.x = x
	FauxMazzle.namespaces.Monitor.profiles.FauxMazzle.anchor.y = y
	
	y = y + 20
	FauxMazzle.namespaces.Group.profiles.FauxMazzle.alert_anchor.x = x
	FauxMazzle.namespaces.Group.profiles.FauxMazzle.alert_anchor.y = y

	y = y-- + 30
	FauxMazzle.namespaces.Group.profiles.FauxMazzle.roll_anchor.x = x
	FauxMazzle.namespaces.Group.profiles.FauxMazzle.roll_anchor.y = y

	NS.Lib:CopyTable(FauxMazzle, XLootADB, NS.Lib.SaveTables)
--	LibStub("AceConfigRegistry-3.0"):NotifyChange(AddonName) ----------- Need to see if this does anything positive
end
NS:AddConfig(1, AddonName, "X-Loot", ConfigureXLoot, AssignXLoot)